org.eclipse.graphiti.tb

## Interface IDecorator

All Known Subinterfaces:
  IBorderDecorator, IColorDecorator, IImageDecorator, ITextDecorator

All Known Implementing Classes:
  AbstractDecorator, BorderDecorator, ColorDecorator, ImageDecorator, TextDecorator

    public interface IDecorator

The Interface IDecorator. Decorators are a means to modify the visualization of shapes in a diagram without modifying the dirty state of the editor. This is done by the Graphiti framework by simply applying the decorators to a shape after it has been drawn on the screen as defined in the pictograms model.

The list of decorators that shall be applied to a `PictogramElement` is queried from the `IToolBehaviorProvider.getDecorators(PictogramElement)` method when a shape is drawn or updated on the diagram by the Graphiti framework.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getMessage()` Gets the message to be shown as a tooltip for the decorator.
`void` `setMessage(String message)` Sets the message to be shown as a tooltip for the decorator.

### Method Detail

#### getMessage

    String getMessage()

Gets the message to be shown as a tooltip for the decorator. This can e.g. be an error message stating why the shape is marked.

Returns:
  the message

#### setMessage

    void setMessage(String message)

Sets the message to be shown as a tooltip for the decorator. This can e.g. be an error message stating why the shape is marked.

Parameters:
  `message` - the new message